<?php
/**
 * This code prepares the administrative settings (admin) GUI.
 * Registered by OCP\App::registerPersonal in app.php.
 * Instantiates an OCP\Template with templates/adminSettings HTML
 * and js/admin.js JavaScript.
 * For the AJAX, a handler is placed in ajax/setsites.php file.
 *
 * @author      Zoltán Kovács <kzoli@kzoli.hu>
 * @license     GPL-3.0 http://www.gnu.org/licenses/gpl-3.0.html
 *
 * Based on the 'external' core app by Frank Karlitschek and on
 * the 3rd party 'roundcube' app by Martin Reinhardt and David Jaedke.
 *
 */

// Requires the app enabled and an authenticated ownCloud administrator.
OCP\JSON::checkAppEnabled('roundcube_external');
OCP\User::checkAdminUser();

// Client side functions.
OCP\Util::addscript( "roundcube_external", "admin" );

// Fill template, passes parameters.
$tmpl = new OCP\Template( 'roundcube_external', 'adminSettings');
$tmpl->assign('images', glob(\OC_App::getAppPath('roundcube_external') . '/img/*.*'));
return $tmpl->fetchPage();
