<?php
/**
 * ownCloud - Roundcube External app
 *
 * @author	Zoltán Kovács <kzoli@kzoli.hu>
 * @license	GPL-3.0	http://www.gnu.org/licenses/gpl-3.0.html
 *
 * Based on the 'external' core app by Frank Karlitschek and on
 * the 3rd party 'roundcube' app by Martin Reinhardt and David Jaedke.
 *
 * This application is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 */

// App initialisation.
use OCA\Roundcube_External\Roundcube_External;

// Get localization.
$l=\OC_L10N::get('roundcube_external');

// Register administrative GUI for admins and users.
OCP\App::registerAdmin('roundcube_external', 'adminSettings');
OCP\App::registerPersonal('roundcube_external', 'userSettings');
// Register CSS
OCP\Util::addStyle( 'roundcube_external', 'style');

// Get hooks.
// OCP\Util::connectHook('OC_User', 'logout', 'Roundcube_External', 'logout');

// Creates a navigation entry in the Applications menu for each single instance.
$sites = Roundcube_External::getSites();
for ($i = 0; $i < sizeof($sites); $i++) {
    OCP\App::addNavigationEntry(
	array(
	    'id'    => 'roundcube_external_index' . ($i + 1),
	    'order' => 80 + $i,
	    'href'  => OCP\Util::linkToRoute('roundcube_external_index', array('id'=> $i + 1)),
	    'icon'  => OCP\Util::imagePath('roundcube_external', !empty($sites[$i][2]) ? $sites[$i][2] : 'roundcube_external.svg'),
	    'name'  => $sites[$i][0]
	)
    );
}
