<?php
/**
 * This code prepares the webmail (iframed Roundcube) GUI.
 * Called via appinfo/routes.php router.
 *
 * @author      Zoltán Kovács <kzoli@kzoli.hu>
 * @license     GPL-3.0 http://www.gnu.org/licenses/gpl-3.0.html
 *
 * Based on the 'external' core app by Frank Karlitschek and on
 * the 3rd party 'roundcube' app by Martin Reinhardt and David Jaedke.
 *
 * @param int	$_GET['id']	Number of the invoked Roundcube instance.
 *
 */

use OCA\Roundcube_External\Roundcube_External;
// Requires the app enabled and an authenticated ownCloud user.
OCP\JSON::checkAppEnabled('roundcube_external');
OCP\User::checkLoggedIn();

// Sanitize and defaults the 1st instance, if isn't specified.
$id = isset($_GET['id']) ? (int)$_GET['id'] : 1;
$sites = Roundcube_External::getSites(); // Roundcube instances
\OCP\Util::writeLog('roundcube_external', 'Roundcube instances available: ' . print_r($sites,true), \OCP\Util::DEBUG);
if (sizeof($sites) >= $id) { // Exists the requested instance?
    OCP\App::setActiveNavigationEntry('roundcube_external_index' . $id); // Focused
    // Template for the iframe itself with JS support.
    $tmpl = new OCP\Template('roundcube_external', 'frame', 'user');
    // The autoLogin page will the iframe's src URL. It will contain the credentials and will fire Roundcube.
    $url = \OC_Helper::linkTo('roundcube_external', 'templates/autoLogin.php', array('id'=>$id));
    $tmpl->assign('url', $url);
    $tmpl->printPage(); }
else { // Giving up, if the requested instance isn't exists.
    \OC_Util::redirectToDefaultPage(); }
