/**
 * JQuery AJAX script for the administrative settings client side GUI.
 */
$(document).ready(function(){

    /**
     * POSTs the serialized data.
     * Shows the server messages.
     */
    function saveSites() {
	var post = $('#roundcube_external').serialize();
	OC.msg.startSaving('#roundcube_external .msg');
	$.post( OC.filePath('roundcube_external','ajax','setsites.php') , post, function(data) {
	    OC.msg.finishedSaving('#roundcube_external .msg', data);
	    });
    }

    /**
     * Field change event handler (autosave) function.
     */
    function addSiteEventHandler(event) {
	event.preventDefault();
	saveSites();
    }

    /**
     * Field events registration.
     */
    $('#roundcube_external input[name^=site_]').change(addSiteEventHandler);
    $('#roundcube_external select[name^=site_]').change(addSiteEventHandler);

    /**
     * Add new site action handler. Fired by clicking the "Add" button.
     * Appends a new, empty line of form; additionally register events also.
     */
    $('#add_roundcube_external_site').click(function(event) {
	event.preventDefault();
	// Clones last <li>, but with empty fields.
	$('#roundcube_external ul li:last').clone().appendTo('#roundcube_external ul');
	$('#roundcube_external ul li:last input').val('');
	$('#roundcube_external ul li:last select').val('');
	// Fields event additional registration.
	$('input.site_url:last').prev('input.site_name').andSelf().change(addSiteEventHandler);
	// Trash icon (delete button) events additional registration.
	$('#roundcube_external li:last').hover(showDeleteButton, hideDeleteButton);
	$('img.delete_button').click(deleteButtonEventHandler);
	$('img.delete_button:last').tipsy();
    });

    /**
     * Trash icon (delete button) handler functions.
     */
    function showDeleteButton() {
	$(this).find('img.delete_button').fadeIn(100);
    }

    function hideDeleteButton() {
	$(this).find('img.delete_button').fadeOut(100);
    }

    /**
     * Trash icon (delete button) click event handler.
     * Removes the <li> (including all fields) containing this trash icon.
     * Leaves the last row, but empties all fields.
     */
    function deleteButtonEventHandler(event) {
	event.preventDefault();

	if($(this).parent().is(':only-child')) {
	    $(this).parent().children('input').val('');
	    $(this).parent().children('select').val('');
	} else {
	    $(this).tipsy('hide');
	    $(this).parent().remove();
	}
	saveSites();
    }

    /**
     * Trash icon (delete button) events registration.
     */
    $('#roundcube_external li').hover(showDeleteButton, hideDeleteButton);
    $('#roundcube_external img.delete_button').click(deleteButtonEventHandler);
    $('#roundcube_external img.delete_button').tipsy();

});
