/**
 * JQuery JavaScript component of the page, surrounding the Roundcube iframe.
 */

$(document).ready(function () {

    var buffer = 0; //scroll bar buffer

    // Calculates the Y coordinate of the top of an element.
    function pageY(elem) {
	return elem.offsetParent ? (elem.offsetTop + pageY(elem.offsetParent)) : elem.offsetTop;
    }

    // Resizer function to the iframe according to the actual height of the browser window.
    function resizeIframe() {
	var height = document.documentElement.clientHeight;
	height -= pageY(document.getElementById('ifm')) + buffer;
	height = (height < 0) ? 0 : height;
	document.getElementById('ifm').style.height = height + 'px';
    }

    // Resize the iframe, initialize further dinamic resizing.
    window.onresize = resizeIframe;
    document.getElementById('ifm').onload = resizeIframe;

});
