<?php
// Autologin form, loaded into the iframe. Fires Roundcube with user logged in.
// Roundcube will overwrite this form in the iframe, hiding the credentials set here.

// Requires the app enabled and an authenticated ownCloud user.
\OCP\JSON::checkAppEnabled('roundcube_external');
\OCP\User::checkLoggedIn();

// Sanitize parameter and defaults the 1st instance, if isn't specified.
$id = isset($_GET['id']) ? (int)$_GET['id'] : 1;
$sites = \OCA\Roundcube_External\Roundcube_External::getSites(); // Roundcube instances
$credentials = \OCA\Roundcube_External\Roundcube_External::getCredentials(); // User credentials
\OCP\Util::writeLog('roundcube_external', 'Roundcube credentials stored for ' . \OCP\User::getUser() . ': ' . print_r($credentials,true), \OCP\Util::DEBUG);
// Get URL from the instance repository;
// the hostname (without protocol) is the key to user's credentials.
$mail_url = $sites[$id - 1][1];
$mail_host = implode('/',array_slice(explode('/', $mail_url),2,3));
// Set credentials.
$mail_user = isset($credentials[$mail_host]['mail_user'])
                   ? $credentials[$mail_host]['mail_user'] : '';
$mail_password = isset($credentials[$mail_host]['mail_password'])
                       ? $credentials[$mail_host]['mail_password'] : '';

// The Content Security Policy may block the inline JavaScript call.
// TODO: a more sophisticated hack...
if (!headers_sent()) {
    header_remove('Content-Security-Policy'); // Mozilla
    header_remove('X-Content-Security-Policy'); // Mozilla
    header_remove('X-WebKit-CSP'); // Chrome, maybe Safari also
}
// Will autosubmit on load.
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
 "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
	<title>Roundcube webmail</title>
	<meta http-equiv="content-type" content="text/html; charset=UTF-8" />
    </head>
    <body onLoad="document.getElementById('roundcube_external').submit();">
	<form name="roundcube_external" id="roundcube_external" action="<?php print $mail_url ?>" method="post" target="ifm">
	    <input name="_action" value="login" type="hidden" />
	    <input name="_user" type="hidden" value="<?php print $mail_user ?>" />
	    <input name="_pass" type="hidden" value="<?php print $mail_password ?>" />
	    <input type="hidden" name="_task" value="login" />
	    <input type="hidden" name="_action" value="login" />
	</form>
    </body>
</html>
