<?php
// HTML template for personal settings GUI.
// Uses AJAX to save changes.

// Available Roundcube integrations.
$mail_sites = \OCA\Roundcube_External\Roundcube_External::getSites();
// If no  external Roundcube instance was defined - nothing to do.
if (!empty($mail_sites)) {
    // Stored credentials for this user.
    $mail_credentials = \OCA\Roundcube_External\Roundcube_External::getCredentials();
    // Fill in a table-formatted form, to change credentials.
?>

<form id="roundcube_external" class="section">
    <!-- Prevent CSRF attacks-->
    <input type="hidden" name="requesttoken" value="<?php echo $_['requesttoken'] ?>" id="requesttoken">
    <input type="hidden" name="trashed" value="0" id="trashed">
    <h2><?php p($l->t('Roundcube Mail Accounts')); ?></h2>

    <table id="roundcube_external_credentials" class="grid" >
        <thead>
            <tr>
		<th>&nbsp;</th>
                <th><?php p($l->t('IMAP service')); ?></th>
                <th><?php p($l->t('IMAP URL')); ?></th>
                <th><?php p($l->t('IMAP username')); ?></th>
                <th><?php p($l->t('IMAP password')); ?></th>
		<th>&nbsp;</th>
            </tr>
	</thead>
        <tbody>

<?php
    // Enumerating the available Roundcube instances.
    for($i = 0; $i < sizeof($mail_sites); $i++) {
	$mail_name = \OCP\Util::sanitizeHTML($mail_sites[$i][0]);
	$mail_url = \OCP\Util::sanitizeHTML($mail_sites[$i][1]);
	// Cut the fully qualified hostname only, without protocol.
	// This is the key for user's saved credentials.
	$mail_host = implode('/',array_slice(explode('/', $mail_url),2,3));
?>

	    <tr>
		<td width="20">&nbsp;</td>
		<td><?php print $mail_name; ?></td>
		<td><input type="hidden" id="mail_host_<?php print $i ?>" name="mail_host[]" value="<?php print $mail_host ?>"/><?php echo $mail_url; ?></td>
		<td><input type="text" id="mail_user_<?php print $i ?>" name="mail_user[]" value="<?php @print $mail_credentials[$mail_host]['mail_user']; ?>" placeholder="<?php print $l->t('IMAP username') ?>"/></td>
		<td><input type="password" id="mail_password_<?php print $i ?>" name="mail_password[]" placeholder="<?php print $l->t('IMAP password') ?>"/></td>
		<td width="40"><img class="svg action delete_button" src="<?php print \OCP\Template::image_path('', 'actions/delete.svg') ?>" title="<?php print $l->t('Remove credentials') ?>" />&nbsp;</td>
	    </tr>

<?php }
?>

	</tbody>
    </table>
    <span class="msg"></span>
</form>

<?php
} ?>