<?php
/**
 * This code prepares the personal settings (user) GUI.
 * Registered by OCP\App::registerPersonal in app.php.
 * Instantiates an OCP\Template with templates/userSettings HTML
 * and js/user.js JavaScript.
 * For the AJAX, a handler is placed in ajax/setcredentials.php file.
 *
 * @author      Zoltán Kovács <kzoli@kzoli.hu>
 * @license     GPL-3.0 http://www.gnu.org/licenses/gpl-3.0.html
 *
 * Based on the 'external' core app by Frank Karlitschek and on
 * the 3rd party 'roundcube' app by Martin Reinhardt and David Jaedke.
 *
 */

// Requires the app enabled and an authenticated ownCloud user.
OCP\JSON::checkAppEnabled('roundcube_external');
OCP\User::checkLoggedIn();
if ($_POST) OCP\JSON::callCheck(); // CRSF check

// Client side functions.
OCP\Util::addscript('roundcube_external', 'user' );

// Fill template, passes parameters.
$params = array();
$tmpl = new OCP\Template('roundcube_external', 'userSettings');
foreach ($params as $param) {
    $value = OCP\Config::getAppValue('roundcube_external', $param, '');
    $tmpl->assign($param, $value);
}
return $tmpl->fetchPage();
