#/bin/bash
#
# Patch generator from ownCloud Calendar X.Y.Z -> ownCloud Calendar X.Y.Z + owncloud-addons
# Developer tool, not for end users. Part of owncloud-addons package.
# Use folder structure below:
# /[...]/calendar-X.Y.Z-original
#       /calendar-X.Y.Z-patched  (maybe symlinked from /usr/local/share/owncloud-addons/apps)
#       /calendar-createpatch.sh (maybe symlinked from /usr/local/share/owncloud-addons/patch)
# Call: export APP_VERSION="X.Y.Z"; ./calendar-createpatch.sh

if [ -z "$APP_VERSION" ]; then echo "Set APP_VERSION variable, please!"; exit 1; fi
if [ ! -d "calendar-$APP_VERSION-original" ]; then echo "Missing folder: calendar-$APP_VERSION-original"; exit 1; fi
if [ ! -d "calendar-$APP_VERSION-patched"  ]; then echo "Missing folder: calendar-$APP_VERSION-patched";  exit 1; fi

cd calendar-$APP_VERSION-original
diff -Naur -x *.gif -x *.jpg -x *.png . ../calendar-$APP_VERSION-patched \
     | grep -iv ^diff >../calendar_$APP_VERSION-owncloud-addons_$(date +%Y%m%d).patch
cd ..
