#/bin/bash
#
# Patch generator from ownCloud Contacts X.Y.Z -> ownCloud Contacts X.Y.Z + owncloud-addons
# Developer tool, not for end users. Part of owncloud-addons package.
# Use folder structure below:
# /[...]/contacts-X.Y.Z-original
#       /contacts-X.Y.Z-patched  (maybe symlinked from /usr/local/share/owncloud-addons/apps)
#       /contacts-createpatch.sh (maybe symlinked from /usr/local/share/owncloud-addons/patch)
# Call: export APP_VERSION="X.Y.Z"; ./contacts-createpatch.sh

if [ -z "$APP_VERSION" ]; then echo "Set APP_VERSION variable, please!"; exit 1; fi
if [ ! -d "contacts-$APP_VERSION-original" ]; then echo "Missing folder: contacts-$APP_VERSION-original"; exit 1; fi
if [ ! -d "contacts-$APP_VERSION-patched"  ]; then echo "Missing folder: contacts-$APP_VERSION-patched";  exit 1; fi

cd contacts-$APP_VERSION-original
diff -Naur -x *.gif -x *.jpg -x *.png . ../contacts-$APP_VERSION-patched \
     | grep -iv ^diff >../contacts_$APP_VERSION-owncloud-addons_$(date +%Y%m%d).patch
cd ..
